org.jfree.chart.axis

## Class MarkerAxisBand

- java.lang.Object
- - org.jfree.chart.axis.MarkerAxisBand

All Implemented Interfaces:
  java.io.Serializable

    public class MarkerAxisBand
    extends java.lang.Object
    implements java.io.Serializable

A band that can be added to a number axis to display regions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MarkerAxisBand(NumberAxis axis, double topOuterGap, double topInnerGap, double bottomOuterGap, double bottomInnerGap, java.awt.Font font)` Constructs a new axis band.

### Method Summary

Methods
`void` `addMarker(IntervalMarker marker)` Adds a marker to the band.
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Rectangle2D dataArea, double x, double y)` Draws the band.
`boolean` `equals(java.lang.Object obj)` Tests this axis for equality with another object.
`double` `getHeight(java.awt.Graphics2D g2)` Returns the height of the band.
`int` `hashCode()` Returns a hash code for the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkerAxisBand

    public MarkerAxisBand(NumberAxis axis,
                  double topOuterGap,
                  double topInnerGap,
                  double bottomOuterGap,
                  double bottomInnerGap,
                  java.awt.Font font)

Constructs a new axis band.

Parameters:
  `axis` - the owner.
  `topOuterGap` - the top outer gap.
  `topInnerGap` - the top inner gap.
  `bottomOuterGap` - the bottom outer gap.
  `bottomInnerGap` - the bottom inner gap.
  `font` - the font.

### Method Detail

#### addMarker

    public void addMarker(IntervalMarker marker)

Adds a marker to the band.

Parameters:
  `marker` - the marker.

#### getHeight

    public double getHeight(java.awt.Graphics2D g2)

Returns the height of the band.

Parameters:
  `g2` - the graphics device.
Returns:
  The height of the band.

#### draw

    public void draw(java.awt.Graphics2D g2,
            java.awt.geom.Rectangle2D plotArea,
            java.awt.geom.Rectangle2D dataArea,
            double x,
            double y)

Draws the band.

Parameters:
  `g2` - the graphics device.
  `plotArea` - the plot area.
  `dataArea` - the data area.
  `x` - the x-coordinate.
  `y` - the y-coordinate.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this axis for equality with another object. Note that the axis that the band belongs to is ignored in the test.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  `true` or `false`.

#### hashCode

    public int hashCode()

Returns a hash code for the object.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.